Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001339KdenliveUser Interfacepublic2009-12-18 11:042010-02-20 08:17
ReporterChris Bruner 
Assigned Toj-b-m 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Platform64 bitOSGentoo LinuxOS Version2008.0
Product Version 
Target VersionFixed in Version0.7.7 
Summary0001339: segfault in error reporting
Descriptionin customtrackview.cpp line 1687 the code is as follows:

   if (!item || cutTime >= item->endPos() || cutTime <= item->startPos()) {
            emit displayMessage(i18n("Cannot find clip to cut"), ErrorMessage);
            kDebug() << "///////// ERROR CUTTING CLIP : (" << item->startPos().frames(25) << "-" << item->endPos().frames(25) << "), INFO: (" << info.startPos.frames(25) << "-" << info.endPos.frames(25) << ")" << ", CUT: " << cutTime.frames(25);
            m_blockRefresh = false;
            return;
        }



What happens when the if statement is entered with !item and you do info-> anything.

segfault!

TagsNo tags attached.
Build/Install Method(select)
Attached Files

- Relationships

-  Notes
(0004432)
j-b-m (administrator)
2009-12-18 11:43

Fixed in svn rev. 4183.
Thanks for the report

- Issue History
Date Modified Username Field Change
2009-12-18 11:04 Chris Bruner New Issue
2009-12-18 11:43 j-b-m Note Added: 0004432
2009-12-18 11:43 j-b-m Status new => resolved
2009-12-18 11:43 j-b-m Fixed in Version => Recent git
2009-12-18 11:43 j-b-m Resolution open => fixed
2009-12-18 11:43 j-b-m Assigned To => j-b-m
2010-02-02 10:34 j-b-m Fixed in Version Recent git => 0.7.7
2010-02-20 08:17 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker